Skip to main content

OPD Token History

This is an API will be invoked get the historical token numbers of the patient.

GET/api/hiecm/patient-share/v3/profile/getTokenDetails

Header

AUTHORIZATION will be provided by the gateway session API after the successful verification of client ID and Secret [ Example: ]

REQUEST-ID unique UUID[ Example: 18235d89-cb13-479d-ad71-7a57d5f669a8 ]

TIMESTAMP actual time of the requested was initiated[ Example: 2022-10-06T10:10:00.587Z ]

Authorizations

Authorizationbearer tokenRequired

The access token from POST /api/hiecm/gateway/v3/sessions, sent with a Bearer prefix.

Query parameters

limitstringRequired

The limit of data to be fetched

Headers

REQUEST-IDstringRequired

Unique UUID for track the end to end request transaction

TIMESTAMPstringRequired

Actual time of the request was initiated, ISO 8601 represents date and time by starting with the year, followed by the month, the day, the hour, the minutes, seconds and milliseconds

X-CM-IDstringRequired

Suffix of the consent manager to which the request was intended

X-AUTH-TOKENstringRequired

JWT Authentication token which was issued by ABDM after successful validation of username and password

Responses

200

OK

400

Bad Request

Error codes for this module

errorobject

The error code and message, if any occurred.

error.codestringRequired

ABDM-1006 - Bad Request, invalid request Body. May be returned either bare (ABDM-1006) or with a trailing ": " separator (ABDM-1006: ); match on the code itself and tolerate the separator.

error.messagestringRequired
401

Unauthorized

Everything returns 401

codestring

900901 - Invalid Credentials. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator.

messagestring
descriptionstring
404

Not Found

Error codes for this module

errorobject

The error code and message, if any occurred.

error.codestringRequired

ABDM-1001 - No data found. May be returned either bare (ABDM-1001) or with a trailing ": " separator (ABDM-1001: ); match on the code itself and tolerate the separator.

error.messagestringRequired
408

Request Timeout

Error codes for this module

errorobject

The error code and message, if any occurred.

error.codestringRequired

ABDM-1007 - Connection failed due to timeout. May be returned either bare (ABDM-1007) or with a trailing ": " separator (ABDM-1007: ); match on the code itself and tolerate the separator.

error.messagestringRequired
429

Too Many Requests

Error codes for this module

errorobject

The error code and message, if any occurred.

error.codestringRequired

ABDM-1022 - Too many requests. May be returned either bare (ABDM-1022) or with a trailing ": " separator (ABDM-1022: ); match on the code itself and tolerate the separator.

error.messagestringRequired
500

Internal Server Error

Error codes for this module

codestring

900900 - Unclassified Authentication Failure. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator.

messagestring
descriptionstring
503

Service Unavailable

Error codes for this module

codestringRequired

ABDM-1024 - Dependent service unavailable. May be returned either bare (ABDM-1024) or with a trailing ": " separator (ABDM-1024: ); match on the code itself and tolerate the separator.

messagestringRequired